Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan Belle2019-10-10 12:45:45 +0000
committerJan Belle2019-10-11 13:40:53 +0000
commitaac958396bc0a687d2fac361f2b3bcb073e16d1f (patch)
treedc077eae11fd8151a59d8352f2cfa9e0bf4ce5bc /tests/org.eclipse.etrice.generator.tests
parent105760a8e143d474638d3d1b3ee443a9ed666fc8 (diff)
downloadorg.eclipse.etrice-aac958396bc0a687d2fac361f2b3bcb073e16d1f.tar.gz
org.eclipse.etrice-aac958396bc0a687d2fac361f2b3bcb073e16d1f.tar.xz
org.eclipse.etrice-aac958396bc0a687d2fac361f2b3bcb073e16d1f.zip
[releng] Ensure consistent versioning of eclipse plugins
* Set all plugin and feature versions to 0.0.0 * Remove all version constraints of plugin dependencies * Implement build logic to update version strings * Integrate maven tycho build in gradle build Plugin and feature versions are updated by the build process. Version is computed from last git tag. Bug 541499 Change-Id: Ic9453508a27488239718074c318182977a21c214
Diffstat (limited to 'tests/org.eclipse.etrice.generator.tests')
-rw-r--r--tests/org.eclipse.etrice.generator.tests/META-INF/MANIFEST.MF20
1 files changed, 10 insertions, 10 deletions
diff --git a/tests/org.eclipse.etrice.generator.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.generator.tests/META-INF/MANIFEST.MF
index 2e098df0d..95259bb24 100644
--- a/tests/org.eclipse.etrice.generator.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.generator.tests/META-INF/MANIFEST.MF
@@ -2,18 +2,18 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: eTrice Generator Model Tests
Bundle-SymbolicName: org.eclipse.etrice.generator.tests
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-Vendor: Eclipse eTrice
-Require-Bundle: org.eclipse.etrice.core.common;bundle-version="2.0.0",
- org.eclipse.etrice.core.fsm;bundle-version="2.0.0",
- org.eclipse.etrice.core.room;bundle-version="2.0.0",
- org.eclipse.etrice.generator;bundle-version="2.0.0",
- org.eclipse.etrice.generator.fsm;bundle-version="2.0.0",
- org.junit;bundle-version="4.8.1",
- org.eclipse.osgi;bundle-version="3.6.0",
- org.eclipse.xtext;bundle-version="2.6.0",
- org.eclipse.core.runtime;bundle-version="3.6.0"
+Require-Bundle: org.eclipse.etrice.core.common,
+ org.eclipse.etrice.core.fsm,
+ org.eclipse.etrice.core.room,
+ org.eclipse.etrice.generator,
+ org.eclipse.etrice.generator.fsm,
+ org.junit,
+ org.eclipse.osgi,
+ org.eclipse.xtext,
+ org.eclipse.core.runtime
Bundle-Activator: org.eclipse.etrice.generator.InstanceTestsActivator
Bundle-ActivationPolicy: lazy
Automatic-Module-Name: org.eclipse.etrice.generator.tests

Back to the top